Subject: [Dtls-iot] Fwd: Re: [homenet] HNCP security?

From: Stephen Farrell <[email-masked]>
Date: Mon, 29 Sep 2014 08:56:16 +0100

Hiya,

Just an FYI as I'm sure you're not all subscribed to the
homenet WG list, but they've also been discussing multicast
security and have mentioned DTLS in passing as part of an
extended discussion about what kind of security they may
need. I'm not clear if homenet's needs would or would not
be another example of a case like the light-bulb one
discussed here (where group-membership with confidentiality
might be sufficiently useful). Could be good to find out
though as part of the discussion on what to do here about
multicast.

Cheers,
S.

-------- Forwarded Message --------
Subject: Re: [homenet] HNCP security?
Date: Mon, 29 Sep 2014 08:50:20 +0100
From: Stephen Farrell <[email-masked]>
To: [email-masked] <[email-masked]>
CC: [email-masked] <[email-masked]>

Hiya,

I've not really been following this discussion sufficient
to comment in general, but just on this part...

On 29/09/14 08:39, Markus Stenberg wrote:
> DTLS has rather sad multicast story too 

The DICE WG [1] have also been discussing potential issues
with DTLS and multicast. That discussion has turned out
harder than envisaged in that the WG originally figured
a simple extension to the DTLS reccord layer might suffice
to get useful security when DTLS packets are sent via IP
multicast. Turns out to be less easy than that.

Anyway, if this WG do end up needing some multicast security
and are looking at DTLS it would be very good to co-ordinate
with the DICE WG.

Sooner would be much better than later for that as the DICE
WG are right now in the process of (re-)considering whether
they can in fact meet their chartered goals on this topic.

Thanks,
S.

[1] https://tools.ietf.org/wg/dice/

_______________________________________________
homenet mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/homenet